Loading...
Searching...
No Matches
int_poly.h File Reference

Factory's internal polynomials. More...

`#include <iostream>`
`#include "cf_defs.h"`
`#include "int_cf.h"`
`#include "variable.h"`
`#include "canonicalform.h"`
`#include "omalloc/omalloc.h"`

Go to the source code of this file.

## Data Structures

class | term
class | InternalPoly
| factory's class for polynomials More...

## Macros

#define | OSTREAM std::ostream

## Typedefs

typedef term * | termList

## Detailed Description

Factory's internal polynomials.

Definition in file int_poly.h.

## Macro Definition Documentation

## OSTREAM

#define OSTREAM std::ostream

Definition at line 17 of file int_poly.h.

## Typedef Documentation

## termList

typedef term* termList

Definition at line 60 of file int_poly.h.